MidiEvent Struct Reference

`#include <track.h>`

## Public Attributes

uchar | command
uchar | chn
uchar | note
uchar | vel
uchar | patch
uchar | ctl
uchar | d1
uchar | d2
uchar | d3
uchar | d4
uchar | d5
uchar | d6
ulong | length
uchar * | data

## Detailed Description

An structure that represents a MIDI event.

Represents a MIDI event

Version
  0.9.5 17/01/2000

Author
  Antonio Larrosa Jimenez larro.nosp@m.sa@k.nosp@m.de.or.nosp@m.g

Definition at line 37 of file track.h.

## Member Data Documentation

uchar MidiEvent::chn

Channel.

Definition at line 49 of file track.h.

uchar MidiEvent::command

MIDI Command.

Caution, if a command doesn't use a variable, it may contain garbage.

Definition at line 44 of file track.h.

uchar MidiEvent::ctl

Patch (if command was a controller command)

Definition at line 69 of file track.h.

uchar MidiEvent::d1

Data 1.

Definition at line 74 of file track.h.

uchar MidiEvent::d2

Data 2.

Definition at line 79 of file track.h.

uchar MidiEvent::d3

Data 3.

Definition at line 84 of file track.h.

uchar MidiEvent::d4

Data 4.

Definition at line 89 of file track.h.

uchar MidiEvent::d5

Data 5.

Definition at line 94 of file track.h.

uchar MidiEvent::d6

Data 6.

Definition at line 99 of file track.h.

uchar* MidiEvent::data

The data for commands like text, sysex, etc.

Definition at line 109 of file track.h.

ulong MidiEvent::length

Length of the generic data variable.

Definition at line 104 of file track.h.

uchar MidiEvent::note

Note.

Definition at line 54 of file track.h.

uchar MidiEvent::patch

Patch (if command was a change patch command)

Definition at line 64 of file track.h.

uchar MidiEvent::vel

Velocity.

Definition at line 59 of file track.h.

The documentation for this struct was generated from the following file:

- track.h

KDE Home | KDE Accessibility Home | Description of Access Keys